variables:
  FULL_IMAGE_NAME: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  SECURE_LOG_LEVEL: "debug"

include:
  - template: "Security/SAST.gitlab-ci.yml"
  #- template: "Security/Dependency-Scanning.gitlab-ci.yml"

stages: [ build, test ]

#before_script:
#  - chmod -R +x ./.bin/*.sh

# Build #
build:
  stage: build
  image: mcr.microsoft.com/dotnet/sdk:6.0
  script:
    - dotnet publish ./src -o app
    - apt-get update && apt-get install zip -y
    - zip -r app.zip ./app
  artifacts:
    expire_in: 1 hour
    paths:
      - app/
      - app.zip

#sast:
#  stage: scan_sast
#  variables:
#    FAIL_NEVER: 0
#  allow_failure: true

security-code-scan-sast:
    stage: test
    image:
      name: "registry.gitlab.com/gitlab-org/security-products/analyzers/security-code-scan/tmp:4fbf08a62db7b449be1f7bcdd5f5a7272405ae04"
